def collision_inelastic(p1,p2):
    """ returns center of mass position, velocity, sum(mass) """
    pcm = Particle()
    pcm.m = p1.m + p2.m
    pcm.x = (p1.m*p1.x + p2.m*p2.x) / pcm.m
    pcm.y = (p1.m*p1.y + p2.m*p2.y) / pcm.m
    pcm.z = (p1.m*p1.z + p2.m*p2.z) / pcm.m

    pcm.vx = (p1.m*p1.vx + p2.m*p2.vx) / pcm.m
    pcm.vy = (p1.m*p1.vy + p2.m*p2.vy) / pcm.m
    pcm.vz = (p1.m*p1.vz + p2.m*p2.vz) / pcm.m
    return pcm
