import numpy as np
from mayavi import mlab

x = np.linspace(1,4,4)

x, y, z = np.meshgrid(x, x, x)
r = np.sqrt(x*x + y*y + z*z)

mlab.figure(bgcolor=(1,1,1),size=(1200,1200))
mlab.points3d(x,y,z,r,resolution=16,opacity=0.7)
mlab.show()
