# subplot example

import numpy as np
import matplotlib.pyplot as plt

def func(x):
    return np.sin(2*np.pi*x)

x1 = np.arange(0.0,4.0,0.1)
x2 = np.arange(0.0,4.0,0.01)

y1 = func(x1)
y2 = func(x2)
y1n = y1 + 0.1*np.random.randn(len(x1))

plt.figure()
plt.subplot(211)

plt.plot(x1,y1,'bo',x2,y2,'r:')

plt.subplot(212)

plt.plot(x1,y1n,'bo',x2,y2,'r:')

plt.show()
