from mpl_toolkits.mplot3d import axes3d
import matplotlib.pyplot as plt
import numpy as np

fig = plt.figure()
ax = fig.add_subplot(111, projection='3d')

x = np.linspace(0, 1 * np.pi, 100)
y = np.linspace(0, 2 * np.pi, 100)
x, y = np.meshgrid(x,y)

z = -np.sin(x)*np.sin(y)

ax.plot_wireframe(x, y, z, rstride=5, cstride=5)

ax.set_xlabel('X Label')
ax.set_ylabel('Y Label')
ax.set_zlabel('Z Label')

plt.show()
